version: "3"
services:
  trellis:
#    image: trellisldp/trellis:latest
    image: trellisldp/trellis-postgresql:latest
    environment:
#      TRELLIS_DB_DRIVER: org.postgresql.Driver
#      TRELLIS_DB_USERNAME: changeme
#      TRELLIS_DB_PASSWORD: changeme
#      TRELLIS_DB_URL: jdbc:postgresql://db/db-name
      QUARKUS_DATASOURCE_JDBC_URL: jdbc:postgresql://db/db-name
      QUARKUS_DATASOURCE_USERNAME: changeme
      QUARKUS_DATASOURCE_PASSWORD: changeme
    ports:
      - 80:8080
    depends_on:
      - db
    volumes:
      - /local/trellis/data:/opt/trellis/data
      - /local/trellis/log:/opt/trellis/log
      # Please see note below about the ./etc directory
      # - /local/trellis/etc:/opt/trellis/etc
  db:
    image: postgres
    environment:
      POSTGRES_DB: db-name
      POSTGRES_PASSWORD: changeme
      POSTGRES_USER: changeme
      PGDATA: /var/lib/postgresql/data/pgdata/mydata
    volumes:
      - /local/postgresql/data/folder:/var/lib/postgresql/data/pgdata/mydata
